summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gmail.com>2011-08-21 02:51:58 -0400
committerAlexandre Rostovtsev <tetromino@gmail.com>2011-08-21 03:06:09 -0400
commit253814510e7a508e5fb44388334e13e472d065a8 (patch)
treecd52cdb99b770707c89c40de0f0040f29ece2c5d /eclass
parentgnome-extra/gnome-tweak-tool: missing eutils inherit (diff)
downloadgnome-253814510e7a508e5fb44388334e13e472d065a8.tar.gz
gnome-253814510e7a508e5fb44388334e13e472d065a8.tar.bz2
gnome-253814510e7a508e5fb44388334e13e472d065a8.zip
eclass/gnome2.eclass: sync with gx86
Add the following change from gx86: Revision 1.99 Sun Aug 14 03:46:33 2011 UTC by nirbheek For ebuilds with USE=static-libs, remove .la files conditionally for GNOME2_LA_PUNT
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index c655269d..49a05560 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -196,7 +196,9 @@ gnome2_src_install() {
# Delete all .la files
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- find "${D}" -name '*.la' -exec rm -f {} + || die
+ if ! { has static-libs ${IUSE//+} && use static-libs; }; then
+ find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ fi
eend
fi
}